Jazz Creation Station

Jazz Creation Station Help
Contents 		| Index |

Welcome to the Jazz Creation Station Manual. Please select a topic you would like more help about:

Views

Tiles
Layer
Animating tiles
Parallax display

Dialogs

Animating tiles properties
Event selection
Layer properties
Level properties
Search and replace events
Tile set organizer
Tile set properties
Tile set build

Events

Destructable scenery
Trigger scenery

Feedback

We are interested in your comments on Jazz Creation Station, but before you go all wild and send us bunches of e-mails, please check The JCS Homepage or The JCS FAQs page on www.jazzjackrabbit.com , to make sure your question hasn't been anwsered there already.

Now, if you do find any bugs or you've got some great ideas which would improve JCS, send an e-mail to one of the following addresses:
  • Submit bugs to jcs-bugs@jazzjackrabbit.com
  • Suggestions for JCS? Send them to jcs-wish@jazzjackrabbit.com
  • Level editing questions go to jcs-questions@jazzjackrabbit.com

Because these e-mail addresses are maintained by the author of JCS and there is simply not enough time for him to anwser all of your questions, you most probably won't get an individual anwser to all of your questions. However, all of your messages will be read and all bugs, wishes and question will be paid attention too. If a bug is important enough it will be fixed, if a wish is really too cool and easy to implement it will be implemented and questions that are common will be collected in the JCS FAQs.


Views

Views 		| Index |

There are 4 views in Jazz Creation Station's main window. These views provide most of JCS's functionality. The views are:

Position | Name | Description
Upper-left | Tiles view | Shows tiles in current tileset
Lower-left | Animating tiles view | Shows animating tiles & frames
Upper-right | Layer view | Shows current layer
Lower-right | Parallax view | Shows parallax composition of layers

You can resize any of these view by position the mouse button in the caption (title) area of the view, pressing down the left mouse button and then dragging the view to its new size.


Tiles View

Tiles View 		| Index |

What does this view do?

The tiles view contains your current tile set. The function of the Tiles View is to create blocks of tiles that you can arrange in the Layer View .

The Tiles Toolbar

Current Tileset
This drop-down box shows the name of the current tile set. Click on this part of the toolbar to show a list of available tilesets.
Tile Set Organizer Button
Press this button to bring up the tile set organizer dialog . You can use the tile set organizer to add, remove or modify the tiles sets that you can use for your levels..
Overlay Data for Tiles View
This drop-down box selects what will be displayed on top of the tiles in the tiles view. The selections are
(none) | Nothing will be displayed on top of the tiles.
Event | The default event will be overlaid on top of the tiles.
Tile Type | The tile type will be overlaid on top of the tiles.

For information on how to change the default event or the tile type for specific tile, see the Keys section.
Help button
Press this button to display the help you are reading now.

Keys in the Tiles view

Flip the current block in the x-direction. First grab a block with any of the block-grabbing keys or tools, then press F to make a mirror-image of it. Pressing F again will return the block to its original state

Toggle ilumination for tile under cursor. Tiles that have an event associated can be set to illuminate the surroundings when a level is played with an ambient light value smaller than 100%. Only tiles with an event that spawn an object in the game can illuminate the surrounding; the tile will not illuminate the surroundings, the object spawned by the event will have this property.

Change tile type for tile under cursor. First position the mouse over a tile in the tiles view, then press T to bring up a dialog with different tile types. These tile types can be used by the game for special effects. The tile type might not have effect in the game as some actions are hard-coded.

Start or stop grabbing a block at the current mouse position. The first time you press B the tile under the mouse cursor is marked as the start tile of the block. Move the mouse around to highlight the block that you want, press B again to stop grabbing the block.

Change the default event of the tile under the mouse cursor. First position the mouse over a tile, then press the E key to bring up a dialog with events. The event that you choose will be associated with this tile. If the overlay mode for the tiles view is set to Event you can see the association in the tiles view.

After you have selected an event for a tile, that event will become the active event. You can use the Shift+E key to copy this event to other tiles too.

Using a default event for tiles is easy to mark certain graphics that always have a certain event associated with them, for example poles and springs.

Put the active event to the tile under the cursor. This key also associates an event with the tile under the cursor, but it doesn't use the event selection dialog, it uses the active event instead. You can set the active event using the E or Control+E keys.

Grab event under mouse cursor and make it the active event. First position the mouse over a tile with an event on it and press Control+E to grab that event as the active event. You can then use Shift+E to copy this event to other tiles.

Create a 1-by-1 block containing an empty tile.

Create a 1-by-1 block containing the tile that the mouse is positioned over. First position the mouse on top of a tile in the tiles view, then press the Enter key to create a 1-by-1 block containing that tile.

Mouse Controls

You can use the left mouse button to select blocks in the tiles view. Hold down the left mouse button and drag around the tiles view to select a block.

The right mouse button brings up the tiles popup menu.


Layer View

Layer View 		| Index |

What does this view do?

The layer view is your main editing window. You copy tiles from the Tiles View into the layer view by use of blocks. In the layer view you can duplicate and flip these blocks, combining design elements tiles into a large map, a Layer.

There are a maximum of 8 layers per level. The layer with the lowest number (1) is closest to the viewer. The layer with the highest number (8) is farthest away.

The Layer Toolbar

Zoom In
Press this button to zoom in on the layer your are currently editing. If you are already showing the layer at its maximum zoom setting (100%), pressing this button won't have effect.
Zoom Out
Press this button to zoom out of the layer you are currently editing. You can zoom out to 12.5% of the original layer size. To return to a normal size, press the Zoom In button repeatedly.
Layer Properties
Press this button to bring up the layer properties dialog for the currently selected layer. The layer properties allow you to change various aspects of the current layer.
Search & Replace Events
Press this button to show the search and replace events dialog . This tool can be used to search for certain events and replace them with others. You can do things like replacing all 'dragon' events with 'dragon' events that only appear if you play that game with the 'hard' difficulty setting.
Layer Selection
These buttons help you switch from one layer to the other quickly. If you press one of the layer buttons, you will switch to that layer.
Delete Layer
If you press this button, the current layer will be deleted.
Show or hide Masks
Press this button to toggle showing the tile masks in the layer view. When the button is pressed, the tiles' mask is shown in the layer view. The tiles mask determines where collision is done with the level. You can't walk where the mask is set, you can walk somewhere if the mask is empty.
Show or hide Events
Press this button to toggle showing the events in the layer view. When the button is pressed down (as in the example picture of the layer toolbar), the event names are overlaid on top of the tiles in the layer view. When the button is not pressed down, you won't see the overlaid events.
Help button
Press this button to display the help you are reading now.

Keys in the Layer view

Put block to current cursor position. First grab a block and put the mouse cursor on the position you would like to have your block. Press Space to put the block to the layer. This key has the same effect as pressing the left mouse button.

Pan viewport. Hold down the TAB key, point the mouse somewhere in the layer view and then press - and hold down - the left mouse button while moving the mouse. The layer view will pan, following your mouse movements. When you release the mouse button, the parallax view will follow your movement in the layer view.

Flip the current block in the x-direction. First grab a block with any of the block-grabbing keys or tools, then press F to make a mirror-image of it. Pressing F again will return the block to its original state

Toggle ilumination for tile under cursor. Tiles that have an event associated can be set to illuminate the surroundings when a level is played with an ambient light value smaller than 100%. Only tiles with an event that spawn an object in the game can illuminate the surrounding; the tile will not illuminate the surroundings, the object spawned by the event will have this property.

Start or stop grabbing a block at the current mouse position. The first time you press B the tile under the mouse cursor is marked as the start tile of the block. Move the mouse around to highlight the block that you want, press B again to stop grabbing the block.

Select layer. Pressing one of the numeric keys '1' through '8' will select that layer in the layer view. It's a fast way to switch between different layers.

Change the event of the tile under the mouse cursor. First position the mouse over a tile, then press the E key to bring up a dialog with events. The event that you will be put to the layer at the mouse position.

After you have selected an for a tile, that event will become the active event. You can use the Shift+E key to copy this event to other tiles in this layer.

Put the active event to the tile under the cursor. This key also associates an event with the tile under the cursor, but it doesn't use the event selection dialog, it uses the active event instead. You can set the active event using the E or Control+E keys.

Grab event under mouse cursor and make it the active event. First position the mouse over a tile with an event on it and press Control+E to grab that event as the active event. You can then use Shift+E to copy this event to other tiles.

Create a 1-by-1 block containing an empty tile.

Create a 1-by-1 block containing the tile that the mouse is positioned over. First position the mouse on top of a tile in the layer view, then press the Enter key to create a 1-by-1 block containing that tile.

Mouse Controls

You can use the left mouse button to put (draw) blocks in the layer view. If you press down the left mouse button, the block will put to the layer at the current position.

By default, the block will be put translucent - that is, empty tiles will not be copied to the layer. If you hold down the shift key while putting a block the block will be put opaque - the empty tiles will also be copied.

You can always see a translucent copy of the block active so that you can see what the layer will look like after you have put the block on the layer. If you hold down the left mouse button and then move around the layer view, you will put multiple copies of the same block on the layer view.

The right mouse button brings up the layer popup menu.


Parallax View

Parallax View 		| Index |

What does this view do?

The parallax view shows a representation of what the current level would look like in the game. It shows the different layers combined in the right order. Normally, the parallax view is centered on the same part of the layer as the layer view is. So when you're editing layer view, the parallax view keeps track of you and shows you what you are doing in combination with the rest of the layers.

The parallax view isn't accurate however, it doesn't do automatic scrolling of layers and it doesn't show the textured background effects. If you'd want to see these effects, you'll have to run Jazz Jackrabbit 2.

There is a white frame in the parallax view, this frame is 320 by 200 in size (the smallest resolution at which Jazz2 can run). It is there to help you imagine what a person, playing this level on the smallest display size, will be able to see.

The Parallax View Toolbar

Mouse scrolling mode
When absolute or relative mouse scrolling is active, it is displayed in this place..
Help button
Press this button to display the help you are reading now.

Keys in the Parallax view

The parallax view doesn't use any key controls.

Mouse Controls

As long as you hold down the left mouse button inside the parallax view, it will be in Absolute mouse scrolling mode. In this mode, your mouse position inside of the parallax view will determine what position the parallax view will be centered on. If you move the mouse to the upper-left corner of the parallax view (still holding down the left mouse button) you will see the parallax view scrolling to the upper-left corner of your level. Just move your mouse slowly around the Parallax view to get the hang of it. Absolute mouse scrolling is especially useful to track through your level, following the path of where the players can go.

When you press the TAB key and hold down the left mouse button you can pan the parallax viewport. When you release the mouse button, the layer view will center on the same area as the parallax view.

As long as you hold down the right mouse button inside the parallax view, it will be in Relative mouse scrolling mode. The parallax view will scroll up, down, left or right, depending on the position of the mouse in the parallax view. If the mouse is in the middle of the parallax view, the parallax view won't scroll. If you move the mouse to the upper-left part of the parallax view, the parallax view will also start scrolling to the upper-left corner of your level. The distance from the middle of the parallax view is a measure for the speed of scrolling in that direction.


Animating Tiles View

Animating Tiles View 		| Index |

What does this view do?

The animating tiles view can be used to create small animations using the tiles in the tile set set as frames.

Each animating tile occupies one row in the animating tiles view. The frames of the animating tiles are shown in columns at the right of the animating tile.

You can select an animating tile, the tile will then become a 1 by 1 block which can be copied to a layer in the Layer View .

The Animating Tiles Toolbar

Delete Button
Delete the selection. You should first select an animating tile or frame. If nothing is selected, pressing the Delete button does nothing.
Help button
Press this button to display the help you are reading now.

Keys in the Animating Tiles view

Clone current animating tile. First select an animating tile, then press C to create a copy of this animating tile at the end of the list.

Delete the selection. First select an animating tile, then press Delete to delete the animating tile or frame. If an animating tile is selected when deleting, the animating tiles after the current animating tile will move up.

Mouse Controls

You can use the mouse to select frames or animating tile in the animating tiles view. When this frame is empty, it will show one dark-colored tile, which is the placeholder for a new animating tile. You can select it by clicking on it, which will invert its color to show it is selected.

You can add frames to an animating tile by selecting the desired animating and then, while holding down the CTRL key on the keyboard, click on tiles in the tiles view that should be added as frames.

When an animating tile (not one of its frames) is selected in the animating tiles view, pressing the right mouse button will bring up the tile's animating tiles properties , such as animation speed, ping-pong loop, etc.


Tile Set Build Dialog

Tile Set Build Dialog 		| Index |

The tile set build dialog shows you the progress when a tileset (batch) build is in progress. You can start a build by pressing Build or Rebuild All from the Tile set organizer .

Current tile set progress
This progress bar shows how much of the current tileset compilation has been completed.
Total tile sets progress
This progress bar is useful in batch builds. It shows how much tilesets are being built and how much of the entire process has been completed.
Tile set build log
This log shows messages from the tile set compiler. In this case, all of the tile sets have compiled succesfully. The size of the tileset on disk is shown between parantheses. If there are errors during the compilation process, they are shown here.
Stop button
When a tileset build is in progress, you can use this button to stop the build process. The tileset you were compiling when you pressed the stop button will not be written to disk.
OK button
When the tileset compilation is done, you can use the OK button to close the tileset build dialog.


Tile Set Organizer

Tile Set Organizer 		| Index |

The tile set organizer can be used to create your own tilesets or change the properties of the tilesets that already in your tileset list. If you do not want to make any tile sets but just want to use the default tile sets, then you don't have to use the tile set organizer.

Tile set list
This list shows you the tile sets that are currently available to JCS. There are four columns which show the name, filename, tile source and mask source for each known tileset. All of the tile sets in this view up to Damn 2 have an entry in the Source Image and Source Mask columns because the source files for those tile sets were present on the user's computer at the moment this snapshot was taken. The rest of the tile sets were found in the Jazz2 directory, but the source files were unknown. If you do not create your own tile sets you won't have any tile sets with source files in your list at all.

If you double-click on the name of one of your own tilesets, it will bring up the Tile set properties dialog where you can change the properties of your tile set.
Add tile set
Press this button if you would like to add one of your own tile sets to the list. Before you do this, you must have drawn the graphics for your tileset and saved it in LBM, BMP, ANM or PCX format with the right palette and dimensions. When you click on this button the Tile set properties dialog will be shown where you can select the properties for your new tile set.
Remove tile set
Press this button to remove some of your own tile sets from the tile set list. If you have created a number of tile sets and decide you want them no more, just select them and press this button. JCS will ask you to confirm the deletion operation and after that they're gone. You can't remove tilesets that are found in your Jazz 2 directory from here because JCS wasn't designed to delete your tileset files (that might be considered a dangerous action for a program). If you delete a tile set from this list, you will only delete the description that JCS holds for this tile set, not the tile set file itself.

If you have created a tile set, built it and then decide to remove it you will still see the tile set in the list but without information about its source image and mask. This is because JCS can still find the built copy of the tile set in in you Jazz2 directory, from which it is able to extract the file- and tile set name of your tile set. If you totally want to remove your tileset, remove the corresponding .j2t file from your Jazz2 directory and remove it from your tile set list.
Refresh tile set list
Press this button to rescan the tile set list. JCS will scan your Jazz2 directory for the tile sets you have installed.
Build selected tile sets
This button can be used to build one or more tile sets. First select one or more tile sets in the tile set list, then press this button to build those tile sets. You can only build tile sets if you have the source files for it; you cannot rebuild the default tilesests that come with Jazz2 because the source animation files are not provided with it. Pressing this button will displays the Tile set build dialog when your tilesets are being built.
Rebuild all tile sets
Press this button to rebuild all of your tile sets. If you have any tile sets, pressing this button will build all of them in a batch. Pressing this button will displays the Tile set build dialog when your tilesets are being built.
Help button
Press this button to display the help you are reading now.
OK button
Press this button to exit the tile set organizer dialog.


Tile Set Palette

Tile Set Palette 		| Index |

When you create a tileset for Jazz 2, it can automatically remap the Jazz 2 sprite colors into your tile set. JCS's tile set compiler always checks your tileset to see which colors are used and which aren't. The colors that you do not use are automatically replaced with lighter and darker shades of the colors you use most frequently in your tile set. This will make your tile set look better when it is shaded in Jazz 2. In this process or finding used colors, the remapping is also done. Below is a picture of the colors used by the Jazz 2 sprites:

Colors 0 to 15 are unused. Colors 16 to 95 contain the sprite colors. If you create a tileset and you would want to make optimal use of all of the colors, you should have these fixed colors in your palette at this exact position and then unselect the remap palette selection in the tile set properties dialog.

If you want to create a tileset with these colors in it, you might want to save the palette picture displayed above by clicking on it with your right mouse button and selecting Save Picture As... Then use the palette in that picture as a starting palette for your tile set.


Tile Set Properties

Tile Set Properties 		| Index |

The tile set properties dialog allows you to modify the properties of a tile set. It is also used when you create a new tileset. This dialog is only useful if you are planning to create your own, custom tileset. For more information about creating your own tilesets, read the Creating a Tileset Mini-Manual .

You can bring up the tile set properties dialog by pressing Add or double-clicking on a tileset's name in the Tile set organizer .

Description
Enter or modify the tile set's description here. The tile set description is just a text string that helps you remember what the tileset is for, or what it's name is.
Filename
The file name of the tile set is the name it has on disk, after it has been compiled. The tile set name identifies the tile set for JCS (i.e. JCS stores the name of the tile set inside a level, if you change a filename of a tileset you must also change all of the levels that use it).
Tile set
The tile set entry holds the name of the tile set graphics. JCS searches for filenames in the tiles directory (you can set the tiles directory from the Paths and filenames entry from the Tools section on the drop-down menu). Tiles graphics can be stored in BMP (Windows Bitmap), LBM (DeluxePaint), ANM (Deluxepaint Animation) or PCX (ZSoft Paintbrush) format.

All tile set images must be 320 wide and have a color depth of 8 bits (256 colors), the height of the image doesn't matter. The tile set image should be subdivided in 32x32 blocks (the tiles). You should also always use the static tile set colors to make sure that the tile set works correctly in the game.

The transparency color in tile sets is color 0 or 1 (anything you draw in color 0 or 1 in the tile set will not be drawn when the tile is displayed).
Mask
The mask entry is not mandatory and will standardly be set to (auto mask). The mask of a tileset determines where the objects in the game can collide with the landscape. When you have, for example, a flower in your tileset which is shown on the sprite layer (layer 4), you do not want Jazz to run into the flower; it should not collide with the flower. This means as much as "the flower should not have a mask". You can create a mask image for the tile set which determines which pixels are and which aren't masked. If you copy the tileset graphics to be used as a mask and remove the flower from this copy, the flower's mask has been removed.

In this example the tile set name is Cast1n.anm which means Castle 1 night. The mask name is Cast1nm.anm which means Castle 1 night mask.

When you use the (automask) option, the masks for this tileset will be generated from the tileset graphics. If you are just starting out making your tilesets or are not sure if you need to make a mask for it, just use (automask).
Remap palette
This check-box determines if the Jazz 2 sprite colors are mapped into your tile set palette or not. If you check this box, the tile set your create will always have the Jazz 2 sprite colors in it and the colors you use in your palette will be remapped and optimized to a new palette, generated by JCS. If you do not check this box, JCS assumes that you have the Jazz 2 sprite colors in position 16..95 of your palette. If you are in doubt, just check the Remap palette mark.

If you use a lot of colors in your tile set and you select remap palette it might be possible that there are more than 240 colors required to display your tileset in the game. In this case, the tile set compiler will log a warning when your tile set is compiled and the tile set will look off-colored in Jazz 2.
OK button
Press this button if you would like to save the changes you made in the tile set properties dialog.
Cancel button
Press this button to discard the changes you made in the tile set properties dialog.
Help button
Press this button to display the help you are reading now.


Creating a Tileset Mini-Manual

Creating a Tilesets Mini-Manual 		| Index |

This page will try to help you create your own tileset. Creating tilesets for Jazz 2 isn't a trivial tasks and it's best explained by just doing it and following the steps required to create a tileset. So let's just get our hands dirty and see exactly how a tileset is made. To help us with this, we asked Dean Dodrill (who did the cinematics and some other art for Jazz2) to do his first tileset. We'll show you how to create a tileset and make some images that can use as a base for your tileset as well.

We'll do this step-by-step, with on the left side some explanation of what you must do to create the picture you see on the right. You can click on the name of the pictures (displayed in blue) to "download" them out of the help file. You can them save them to disk so you can edit them for your own tileset. If your computer doesn't ask you where you want to save the file when you click on a filename, you can try to click on it with your right mouse-button and select Save picture as... from the popup-menu.

1 Creating an empty tileset

We'll start off by showing something simple you can start with: an empty tileset with the Jazz 2 Palette and a grid on which to draw the tiles. We've also added some comments to show you how to use a tileset picture like this.

This image ( Stencil.pcx ) is a good starting point for creating any tileset. The size of the grid is 32x32 pixels, each square of the grid is one tile.

We recommend you load this picture into your drawing program to take a closer look. If you take a look at the palette you will see that I marked colors 2-15 and 240-255 in a particular ugly color purple to indicate that you should not use this colors. Color 1 is a relaxing shade of purple (the transparent color) and Color 0 is black (because my drawing program did not allow me to change it). You should never use color 0! There are a lot of black colors in the palette which are free for general use.

This picture is the start of any tileset and it's totally done, so let's get on drawing!
Tileset stencil with comments. Stencil.pcx , StencilEx.pcx

2 Creating your tiles

Now that we've got a stencil image to draw on, you can draw your tiles on top of this stencil. And that's what Dean did. You can see he just erased the grid where he wanted to draw something. You should also design your tiles to be tileable (i.e. that they look good when you put them next to each other). If you look at any of the Jazz 2 tilesets you will see this.

Dean also added a purple-blueish shade for the background image on the left side. He added these colors in the "free zone" (black colors in the palette) so that's ok. Most of the image has been drawn using the Jazz 2 fixed palette colors, which is efficient because it saves you from using the "free zone" colors.

You might think "is it really that easy?", well uhmm.. no, but rest assured, anybody who can draw using a paint program can also draw tilesets sooner or later. First you'll be fighting with the palette and having trouble aligning your graphics on a grid, but it's just a question of patience. Practice long enough and drawing tilesets will get easier and easier.

Now that we've drawn a tileset, we'll have to give it a mask, which is what we will do in the next step.

Dean's example tileset. Tiles.pcx

3 Creating a mask

Okay, so now you've got some graphics and you need a mask. What do you need a mask for anyway? The answer is collision. If you use an "auto mask", Jazz will just bump into any pixel on the landscape. But that's not always what you want. For example, if you look at the tileset Dean made for step 2, you see a piece of ground with a flower on it, you want Jazz 2 to hit the ground - not fall through it - so he must collide with that, but you don't want him to run into the flower. So you want the flower to be unmasked.

So how do you create a mask? Simple, you just make a copy of your picture and then erase everything which should be unmasked with the background color, purple. When JCS compiles your tileset he will see where the color of the mask is purple (unmasked) or non-purple (masked).

You will also find that Jazz will run into things like small plant growth you draw on branches or small mushrooms you draw on the ground. In general, your mask should be simple, so that it's easy for Jazz to move around in it and he won't get stuck in small details in your picture.

So what do we see on the right? Dean removed some of the details that Jazz could get stuck in, he removed a bit of the top layer of the landscape so that Jazz will slightly sink into the landscape. Also, the flower is gone, so now you won't bump into it any more.

Note that JCS will not compile a tileset when the image file and the mask file don't have the same dimensions; each tile must have a mask.

Dean's example mask. Mask.pcx

4 Compiling your tileset

We've only done three steps and it's already time for action. Now that we've got the ingredients - an 8bit image of width 320 in the Jazz 2 palette and a mask image with the same dimensions - we're ready to compile this tileset. You can find all about it in the JCS help file, but we'll just sum it up for you anyway. The links below point you to other sections of the JCS help file, when you're done reading each step, return to this page by pressing the Back button.

Before we start, make sure you have your tileset and mask image in the Tiles directory. If you have Jazz2 installed in C:\Games\Jazz2,then your tiles directory is C:\Games\Jazz2\Tiles, etc.
  • Now, first bring up the Tile set organizer and press the Add button
  • This will bring up the Tile set properties dialog where you can select properties for your new tileset. Type a name for your tileset, such as Dean's example. Select a filename, such as Dean.j2t. Fill in the name of your tile set and mask files, for example Tiles.pcx and Mask.pcx. You can leave the Remap tile set palette unchecked because this tileset is made with the Jazz 2 palette and there is no need to remap it.

    Now press the OK button to acknowledge your selection
  • You're back in the tile set organizer where you select your tileset from the list and press the Build button.
  • After the tile set builder is done, you should've gotten yourself a new tileset! Bravo!

Okay, you're all set. Your tileset has been compiled and it's ready to be used in your own levels. Just select your tileset from the list in the caption of the tiles view and edit. We at Epic encourage you to make your own levels with your own tilesets and share them with friends and family, put them om your homepage and so on, as long as you do not sell your tilesets or levels.

Retail distribution of tilesets and levels is prohibited without written permission from Epic MegaGames.
For more information read the license.txt in the Jazz 2 directory.

Now that we have the legal stuff behind us, here are the pictures we used in this mini-manual again. Please feel free to use these example pictures as a base for your own work.

  • Stencil.pcx - Stencil image, base image for each tileset

  • Tiles.pcx - The example tileset created by Dean

  • Mask.pcx - The example mask image created by Dean

You should now have everything you need to create your own tilesets and levels. We hope you have as much fun making your levels as we had creating Jazz Jackrabbit 2.

The Jazz Jackrabbit 2 team.


Set Event Dialog

Set Event Dialog 		| Index |

The animating tiles properties dialog allows you to change the way in which an animating tile is displayed.

Event selection
You can pick an event from this list. The events are logically grouped to make it easy to find events.
Generator flag
If you select this flag, you will create a generator for the event you choose instead of the event itself. A generator is an event that periodically generates another event. It is commonly used in multiplayer levels to create regenerating (ie. respawning) items, pickups, etc. If you create a generator for a different event, the event that is generated will use its default parameters.
Illuminate surroundings flag
You can use this check-box to toggle the status of the illuminate surroundings flag. When the illuminate surroundings flag is set and the selected event supports this flag, the object that is spawned by the event will emit light in dark levels.
Difficulty level
You can select a difficulty level for each event. On the normal settings, the event is always active, independant of the difficulty level at which the level is played. If you select Easy or Hard, the event will only be active on those difficulty levels. The Only Multiplayer setting will cause objects only to appear in multiplayer games.
Event parameters
Some events take parameters. Depending on the event you select, you can set the values of up to 8 parameters here. Mostly the parameter names will help you determine what the use of the parameters will be. Range checking is performed to ensure that the specified parameters are in the correct range. If you are unsure about the function of a specific event, trial and error is the way to find out. There is no documentation of all of the different event parameters.
OK button
Press this button to accept the new event you selected.
Cancel button
Press this button to cancel the event selection. The event will not be changed.
Help button
Press this button to display the help you are reading now.


Search and Replace Events

Search and Replace Events 		| Index |

The search and replace events dialog helps you complete complex search & replace operations on the events on the sprite layer. It's especially useful when "balancing" a level. For example, if you'd like the big green turtles only to appear on the hard level, or to make all auto-fire pickups illuminate their surroundings.

Search criteria
These items control what kind of search will be performed. By default, all of the items specify an intermediate state (i.e. they do not search for anything). If you would like to search for one or more events, enable the event specific check-box and select one or more events from the list (tip: you can select more items from the list by holding down the CTRL key as you click on the events you want to search for). If you change the Illuminate Surroundings check-box so that it is no longer in an intermediate state, the search operation will also be selective depending on the Illuminate Surroundings flag of an event. If you would like to search for events, based on their difficulty level, change the Difficulty drop-box from "Don't care" to one of the difficulty levels.

These search criteria allow you to search for events in a very versatile manner. The search criteria select which events will be changed with the event replacement.
Event replacement
The event replacement is applied to all events that are specified in the search criteria. You do not have to specify the same dependencies as for the search criteria. You can, for example, search for event Red Spring and Auto Fire who have their Illuminate Surroundings flag turned on and only appear on the Hard difficulty level (a very specific search) and replace them with a difficulty of Easy. In this case, the events and their Illuminate Surroundings flag is left unchanged.

You can also do this the other way around. You can, for example, search for any event who has its Illuminate Surroundings flag turned on and replace them with the Auto Fire event for difficulty level Easy.

You are entirely free to choose any combination of search criteria and event replacement.
Profile name
You can store frequently used search and replace operations in a profile. By clicking on the drop-down part of this box, you can see a list of available profiles. By clicking on the text part of this box, you can set the name of the profile if you wish to save your own profiles.
Save profile
Press this button to save your profile. To save your profile, first set the search criteria and event replacement to the desired values, click on the profile name box and type a name for your profile, then press the save button.
Delete profile
Press this button to delete the current profile.
Help button
Press this button to display the help you are reading now.
Cancel button
Press this button to return to the editor.
Apply button
Press this button apply the search and replace operation you have composed using the search criteria and event replacement.


Event: Destructable scenery

Destructable scenery 		| Index |

Destructable scenery

The destructable scenery event is used to create scenery out of tiles that can be destroyed. The event number for destructable scenery is 185. The destructable scenery takes 3 parameters, one of which is unused.

Destructable scenery works like this: You can shoot or attack the destructable scenery, each time you do damage to it, it deteriorates. When the destructable scenery is totally damaged, four piece fly off. Destructable scenery is often used to create walls that can be destroyed or open up passages to secret areas.

Creating the destructable scenery animating tile

Destructable scenery uses an animating tile for its frames. We'll use the example at the right to explain how to create an animating tile for destructable scenery. This example is a bouncy-bullet destructable block (this block can only be destructed by using bouncy bullets). The top image shows you how this animating tile looks in the animating tiles view. Now that you're ready, let's get our hands dirty and show you make that destructable scenery:

This part is the place where the animating tile is shown. In this case, the animating tiles view shows you the first frame of the animation.
These two frames (frames 1 & 2) are the states of the animating tile. When this destructable scenery appears in the level it will be in the first state (the bouncy-bullet block), when you shoot it, it will skip to the next state (the empty block). This means you can shoot the bouncy-bullet block and make it go away.
The last frame (frame 3) is the frame that will fly off in four pieces when you have run through all states of the destructable scenery.
Destructable scenery animating tile...
...as it appears in the animating tiles view.

...with annotiations.

So, this destructable scenery has two states, the initial state (the bouncy-bullet block) and the end state (the emtpy block). When the bouncy-bullet block is hit, it disappears and the bouncy-bullet block will fly off in four pieces.

You must not forget to set the speed of your animating tile to 0 fps in the animating tiles properties , otherwise the destructable scenery will animate by itself!

This is generally how you use simple destructable scenery. You can add more states if you would like to, choose a different block to fly off, etc. The general rules for destructable scenery are:

  • The first frame is the initial state.
  • Frames 2 up to (but not including) the last frame are the destruction states.
  • The last frame is the tile that falls off when the tile is destructed.
  • The speed of an animating tile you use for destructable scenery must be 0 fps.

The destructable scenery event

You create a destructable scenery block by putting the animating tile for the destructable scenery in a layer and selecting the destructable scenery event for it. There are 3 parameters to the destructable scenery event of which 2 are used.

Weapon
You can select a weapon which has to be used to destroy this destructable scenery. If the weapon is 0, any weapon can be used. For the bouncy-buller block we use weapon 2 (bouncy bullets). You can determine which weapon has which number by pressing the keys "1" through "9" in the game.

SpeedDestr
You can create destructable scenery which can only be destroyed if you have enough speed for it. This number is a measure for the required speed. If you set this value to 0, no speed is required to destruct the block.


Event: Trigger scenery

Trigger scenery 		| Index |

Trigger scenery

The trigger scenery event is used to create scenery that can change when it is triggered by a crate. The two events used for this action are Trigger scenery (event 234) and Scenery trigger crate (event 95).

Trigger scenery works like this: The scenery to be triggered must be made of special animating tiles and must be marked with the Trigger scenery event. A Scenery trigger crate event somehwere in the level will trigger this scenery. The scenery that will be triggered will change tile number when the Scenery trigger crate is destroyed. You can change empty tiles to tiles you can walk on (creating bridges to areas which were first unreachable) or you can make existing tiles which block access to some area disappear. In combination with spring boxes and other events you can create small puzzles in your level.

Creating the trigger scenery animating tile

The triggerable scenery changes from one tile into another. This is done using a 2-frame animating tile which has a speed of 0 fps. Because the animating tile is played at 0 fps, it will normally only show the first frame of the tile. When the Scenery trigger crate is destroyed, all of the associated Trigger scenery tiles will change to display the second frame of the animating tile.

To create a trigger scenery animating tile you must follow these rules:

  • The animating tile must have two frames of animation
  • The speed of the animating tile must be set to 0 fps in the animating tiles properties .
  • The first frame is the initial state
  • The second frame is the triggered state

The trigger scenery events

As said before, you use the Trigger scenery and Scenery trigger crate events to set up a triggerable scenery in your level. The Trigger scenery event must be placed on top of an animating tile which is created following the guidelines described above. The Scenery trigger crate event is placed anywhere in the level (it will spawn a crate in the level which will act as the trigger when it is destroyed). Both events take one parameter, the TriggerID. A Scenery trigger crate event will trigger all of the Trigger scenery events who have the same TriggerID. This allows you to have different triggerable scenery constructions in your level by assigning each group with a different TriggerID.


Animating Tiles Properties

Animating Tiles Properties 		| Index |

The animating tiles properties dialog allows you to change the way in which an animating tile is displayed.

Speed
Move this slider to select the speed at which the animating tile will loop through its frames. The current speed will be displayed at the right-bottom of the slider. The speed is expressed in frames per second (fps).
Ping-Pong animation
Toggle this check button to enable or disable ping-pong animation of this animating tile. A ping-pong animating tile first plays its frames forward, then plays its frames backward and loops. A normal animating tile will play its frames forward and then loop immediately.

The name Ping-Pong comes from the fact that the animation first goes forward (the Ping part) and then returns (the Pong part).
Frames to wait between two animation cycles
This value holds the amount of frames that are paused between animation cycles. During the pause, the last frame of the animation will be displayed.
Random adder amplitude for frame wait
This value is used to make the wait between animation cycles semi-random. A random number in the range [-1..1] will be multiplied with the random adder amplitude value and added to the amount of frames to wait between cycles. So, if the amount of frames to wait is 10 and the random adder values is 4, the animating tile will wait anywhere between (10-4=) 6 and (10+4=) 14 frames after each animation cycle.
Frame wait interval between Ping-Pong cycle
This value is similar in operation to the frame-wait value between animation cycles, but this value determines the amount of frames to wait between the Ping and the Pong part of a Ping-Pong animation.
OK button
Press this button to confirm the changes you made to this animating tile's properties.
Cancel button
Press this button to discard the changes you made to this animating tile's properties.
Help button
Press this button to display the help you are reading now.


Layer Properties

Layer Properties 		| Index |

The layer properties dialog allows you to change various aspects of a layer in JCS. Everything that distincts one layer from another is editable from this dialog.

Layer selection
This drop-box shows you the current layer and allows you to change it. The rest of the dialog shows you the properties for the layer that is selected here. If you select a different layer in this drop-box, the rest of the items in this dialog will change to the corresponding properties of that new layer.
Speeds
Each layer has a speed, expressed as a rational number which is the layer's speed relative to layer 4 (the sprite layer). Layers that have a speed value higher than 1.0 move faster than the sprite layer, creating the illusion that they are closer to the viewpont. Layers that have a speed value lower than 1.0 move slower than the sprite layer, making them look farther away. This way of scrolling is called parallax scrolling. In Jazz2 you can have up to 8 different layers.

The auto-speed for a layer is added to the position of the layer for each game-tick. If the auto-speed values are 0, the layer doesn't move by itself. An auto-speed value that is greater than 0 will make the layer move in a positive direction, a value less than 0 moves the layer in the opposite direction.
Dimensions
This part of the layer properties dialog holds the dimensions of the layer. The Width and Height values are the layer's dimensions in tiles. The maximum dimensions of a layer is 1023 by 1023 tiles (that is more than one billion pixels).

The tile width and tile height flags make the specified layer repeat into the horizontal- or vertical direction endlessly. This effect is called tiling. These flags are often used to create infinite scrolling backgrounds.
Background Effects
The background effects settings select an effect to be used for the background layer. There is currently only one background effect which should only be used on the background layer (layer 8). If the Texture mode check is not selected, the background effect is disabled. When the background effect is enabled, the layer's size is automatically set to 8x8; this is a requirement for textured layers.

The parameters for the Warp Horizon background effect are Red, Green and Blue values to which the sky will fade when the layer goes on to infinity.

The background effect is not visible in the parallax view.
Star Wars
If you enable this check mark, the background of the level will show a number of sub-pixel-accurate parallaxing stars. You should only use this effect in combination with a textured background.
OK button
Press this button to apply the changes you made in the layer properties dialog.
Cancel button
Press this button to discard the changes you made in the layer properties dialog.
Help button
Press this button to display the help you are reading now.


Level Properties

Level Properties 		| Index |

The level properties dialog allows you to change the general settings for the level.

Level name
Enter the name of the level here. The level name can be anything and can contain any characters.
Next level
Enter the filename (without the .j2l extension) of the level that is to be played after the level is done. Using this entry you can create chains of levels, just as the normal Jazz2 episodes are a long chain of levels.
Bonus level
This field is optional and can contain the name of a bonus level associated with this level. Unless you know what you're doing - don't use this field.
Secret level
This field is optional and can contain the name of a bonus secret level associated with this level.
Music file
Enter the filename (without the .j2b extension) of the music file that is to be played in the background when this level is running.
Light settings
Use these sliders to change the starting and the minimum value of the ambient lighting in your level. A setting of 100% is fully lit, 0% is totally dark.
Multiplayer settings
If you select the Battle, Treasure or CTF Multiplayer level check-box, your level will be marked as a multiplayer level. Multiplayer levels can't have certain events in it. If you select this flag, these events will not be shown and a warning will be issued when you try to save a level with illegal events.

You can also select the split-screen type for multiplayer levels. This setting is used when the level is played in 2-player mode.
Help strings
Some events (such as the Text event) need a string to be displayed, but they can only take parameters which are numbers. Events such as Text take a TextID, which is an index into the help string list. Some events which take a TextID use the @-character as a line-break character.
OK button
Press this button if to apply the changes you made in the level properties dialog.
Cancel button
Press this button to discard the changes you made in the level properties dialog.
Help button
Press this button to display the help you are reading now.